Skip to navigation

Retrieve the default payment method of an account

View as Markdown

Retrieves the default payment method of the specified customer account.

Notes:
  • This operation also supports retrieving the custom payment method created through the Open Payment Method service.
  • This operation only works with an electronic payment method and does not work with non-electronic payment methods.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

account-keystringRequired
Account number or account ID.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-VersionstringOptional

The minor API version.

For a list of available minor versions, see API upgrades.

Response headers

Content-EncodingstringOptional

This header is returned if you specify the Accept-Encoding: gzip request header and the response contains over 1000 bytes of data.

Note that only the following MIME types support gzipped responses:

  • application/json
  • application/xml
  • text/html
  • text/csv
  • text/plain
RateLimit-LimitstringOptional

The request limit quota for the time window closest to exhaustion. See rate limits for more information.

RateLimit-Remainingdouble

The number of requests remaining in the time window closest to quota exhaustion. See rate limits for more information.

RateLimit-Resetdouble

The number of seconds until the quota resets for the time window closest to quota exhaustion. See rate limits for more information.

Zuora-Request-IdstringOptional
The Zuora internal identifier of the API call. You cannot control the value of this header.
Zuora-Track-IdstringOptional
A custom identifier for tracing the API call. If you specified a tracing identifier in the request headers, Zuora returns the same tracing identifier. Otherwise, Zuora does not set this header.
Concurrency-Limit-TypestringOptional

The type of the concurrency limit, which can be Default, High-volume transactions, or Object Query.

For more information, see Concurrent request limits.

Concurrency-Limit-Limitinteger

The total number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Concurrency-Limit-Remaininginteger

The remaining number of the permitted concurrent requests.

For more information, see Concurrent request limits.

Response

OK
accountHolderInfoobjectOptional
The account holder information.
accountVerificationServicestringOptional
Displays the name of the service provider. For example, Plaid.
accountVerificationStatusenumOptional

Displays the status of the account. Note:

  • Active - Access token is active.
  • Expired - Access token has expired and must be linked again.
  • Expiring - Access token will expire in few days(7 days for Plaid) and must be linked again
  • Inactive - The end customer has revoked the account pemission. The end customer can login again and select the same method for the access token to be linked again.
Allowed values:
bankIdentificationNumberstringOptional
The first six or eight digits of the payment method's number, such as the credit card number or account number. Banks use this number to identify a payment method.
createdBystringOptional
ID of the user who created this payment method.
createdOndatetimeOptional

The date and time when the payment method was created, in yyyy-mm-dd hh:mm:ss format.

cardNumberstringOptional

The masked credit card number.

When cardNumber is null, the following fields will not be returned:

  • expirationMonth
  • expirationYear
  • accountHolderInfo
creditCardTypestringOptional

The type of the credit card or debit card.

Possible values include Visa, MasterCard, AmericanExpress, Discover, JCB, and Diners. For more information about credit card types supported by different payment gateways, see Supported Payment Gateways.

Note: This field is only returned for the Credit Card and Debit Card payment types.

deviceSessionIdstringOptional

The session ID of the user when the PaymentMethod was created or updated.

existingMandateenumOptional
Indicates whether the mandate is an existing mandate.
Allowed values:
idstringOptional
The payment method ID.
ipAddressstringOptional
The IP address of the user when the payment method was created or updated.
isDefaultbooleanOptional
Indicates whether this payment method is the default payment method for the account.
lastFailedSaleTransactionDatestringOptional
The date of the last failed attempt to collect payment with this payment method.
lastTransactionstringOptional
Indicates the occurrence and status of the last transaction.
lastTransactionTimedatetimeOptional
The time when the last transaction of this payment method happened.
mandateInfoobjectOptional

The mandate information for the Credit Card, Apple Pay, Google Pay, Credit Card Reference Transaction, ACH, or Bank Transfer payment method.

The following mandate fields are common to all supported payment methods:

  • mandateId
  • mandateReason
  • mandateStatus

The following mandate fields are specific to the ACH and Bank Transfer payment methods:

  • mandateReceivedStatus
  • existingMandateStatus
  • mandateCreationDate
  • mandateUpdateDate

The following mandate fields are specific to the Credit Card, Apple Pay, and Google Pay payment methods:

  • mitTransactionId
  • mitProfileAgreedOn
  • mitConsentAgreementRef
  • mitConsentAgreementSrc
  • mitProfileType
  • mitProfileAction
maxConsecutivePaymentFailuresintegerOptional
The number of allowable consecutive failures Zuora attempts with the payment method before stopping.
numConsecutiveFailuresintegerOptional

The number of consecutive failed payments for this payment method. It is reset to 0 upon successful payment.

paymentRetryWindowintegerOptional
The retry interval setting, which prevents making a payment attempt if the last failed attempt was within the last specified number of hours.
secondTokenIdstringOptional

A gateway unique identifier that replaces sensitive payment method data.

Note: This field is only returned for the Credit Card Reference Transaction payment type.

statusenumOptional
The status of the payment method.
Allowed values:
tokenIdstringOptional

A gateway unique identifier that replaces sensitive payment method data or represents a gateway’s unique customer profile.

Note: This field is only returned for the Credit Card Reference Transaction payment type.

totalNumberOfErrorPaymentsintegerOptional
The number of error payments that used this payment method.
totalNumberOfProcessedPaymentsintegerOptional
The number of successful payments that used this payment method.
typeenumOptional
The type of the payment method.
updatedBystringOptional
ID of the user who made the last update to this payment method.
updatedOndatetimeOptional

The last date and time when the payment method was updated, in yyyy-mm-dd hh:mm:ss format.

useDefaultRetryRulebooleanOptional
Indicates whether this payment method uses the default retry rules configured in the Zuora Payments settings.
IBANstringOptional
The International Bank Account Number used to create the SEPA payment method. The value is masked.
accountNumberstringOptional
The number of the customer's bank account and it is masked.
bankCodestringOptional
The sort code or number that identifies the bank. This is also known as the sort code.
bankTransferTypestringOptional

The type of the Bank Transfer payment method. For example, SEPA.

branchCodestringOptional
The branch code of the bank used for Direct Debit.
businessIdentificationCodestringOptional
The BIC code used for SEPA. The value is masked.
identityNumberstringOptional
The identity number of the account holder or the cardholder.
bankABACodestringOptional

The nine-digit routing number or ABA number used by banks. This field is only required if the type field is set to ACH.

bankAccountNamestringOptional

The name of the account holder, which can be either a person or a company. This field is only required if the type field is set to ACH.

expirationMonthintegerOptional

One or two digits expiration month (1-12).

expirationYearintegerOptional

Four-digit expiration year.

securityCodestringOptional
The CVV or CVV2 security code for the credit card or debit card. Only required if changing expirationMonth, expirationYear, or cardHolderName. To ensure PCI compliance, this value isn''t stored and can''t be queried.
BAIDstringOptional

ID of a PayPal billing agreement. For example, I-1TJ3GAGG82Y9.

emailstringOptional
Email address associated with the PayPal payment method.
preapprovalKeystringOptional
The PayPal preapproval key.
googleBINstringOptional
This field is only available for Google Pay payment methods.
googleCardNumberstringOptional
This field is only available for Google Pay payment methods.
googleCardTypestringOptional

This field is only available for Google Pay payment methods.

For Google Pay payment methods on Adyen, the first 100 characters of paymentMethodVariant returned from Adyen are stored in this field.

googleExpiryDatestringOptional
This field is only available for Google Pay payment methods.
googleGatewayTokenstringOptional
This field is only available for Google Pay payment methods.
appleBINstringOptional
This field is only available for Apple Pay payment methods.
appleCardNumberstringOptional
This field is only available for Apple Pay payment methods.
appleCardTypestringOptional

This field is only available for Apple Pay payment methods.

For Apple Pay payment methods on Adyen, the first 100 characters of paymentMethodVariant returned from Adyen are stored in this field.

appleExpiryDatestringOptional
This field is only available for Apple Pay payment methods.
appleGatewayTokenstringOptional
This field is only available for Apple Pay payment methods.

Errors

4XX
Client Request Error
500
Internal Server Error